Bug 1016947 - Review Request: python-iscpy - Python library to parse ISC style config files [NEEDINFO]
Review Request: python-iscpy - Python library to parse ISC style config files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 22:45 EDT by Yohan Graterol
Modified: 2017-05-23 09:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-23 09:44:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: needinfo? (yohangraterol92)


Attachments (Terms of Use)

  None (edit)
Description Yohan Graterol 2013-10-08 22:45:59 EDT
python-iscpy

Python library to parse ISC style config files

SPEC: http://yograterol.fedorapeople.org/python-iscpy.spec
SRPM: http://yograterol.fedorapeople.org/python-iscpy-1.05-1.fc19.src.rpm

FAS User: yograterol
Comment 1 Eduardo Echeverria 2013-10-08 23:21:59 EDT
rpmlint -v python-iscpy-1.05-1.fc20.noarch.rpm 
python-iscpy.noarch: I: checking
******
python-iscpy.noarch: I: checking-url https://pypi.python.org/pypi/iscpy (timeout 10 seconds)
python-iscpy.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/iscpy/iscpy_dns/named_importer_lib.py 0644L /usr/bin/env
python-iscpy.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/iscpy/iscpy_core/core.py 0644L /usr/bin/env
python-iscpy.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/iscpy/__init__.py 0644L /usr/bin/python
1 packages and 0 specfiles checked; 3 errors, 2 warnings.

Please change shebang for invoking the default interpreter, and take care of the permissions

I can't see any test on the build phase
+ cd iscpy-1.05
++ pwd
+ PYTHONPATH=/builddir/build/BUILD/iscpy-1.05
+ /usr/bin/python setup.py test
running test
+ exit 0

Seems that not there any explicit requires 
➜  iscpy-1.05  ls -la | grep -ri "import"
iscpy/iscpy_core/core.py:import copy
iscpy/iscpy_core/core.py:import cPickle
iscpy/iscpy_dns/named_importer_lib.py:import copy
iscpy/iscpy_dns/named_importer_lib.py:import iscpy
iscpy/__init__.py:from iscpy_core.core import *
iscpy/__init__.py:import iscpy_dns.named_importer_lib as dns
test/named_importer_lib_regtest.py:import unittest
test/named_importer_lib_regtest.py:import os
test/named_importer_lib_regtest.py:import iscpy
test/named_importer_lib_regtest.py:class TestNamedImport(unittest.TestCase):
test/blank_named_regtest.py:import unittest
test/blank_named_regtest.py:import os
test/blank_named_regtest.py:import iscpy
test/blank_named_regtest.py:class TestNamedImport(unittest.TestCase):
ez_setup/__init__.py:    from ez_setup import use_setuptools
ez_setup/__init__.py:import sys
ez_setup/__init__.py:import sys, os
ez_setup/__init__.py:try: from hashlib import md5
ez_setup/__init__.py:except ImportError: from md5 import md5
ez_setup/__init__.py:    was_imported = 'pkg_resources' in sys.modules or 'setuptools' in sys.modules
ez_setup/__init__.py:        import setuptools; setuptools.bootstrap_install_from = egg
ez_setup/__init__.py:        import pkg_resources
ez_setup/__init__.py:    except ImportError:
ez_setup/__init__.py:        if was_imported:
ez_setup/__init__.py:    import urllib2, shutil
ez_setup/__init__.py:            from distutils import log
ez_setup/__init__.py:                ); from time import sleep; sleep(delay)
ez_setup/__init__.py:        import setuptools
ez_setup/__init__.py:    except ImportError:
ez_setup/__init__.py:            from setuptools.command.easy_install import main
ez_setup/__init__.py:    import pkg_resources
ez_setup/__init__.py:            from setuptools.command.easy_install import main
ez_setup/__init__.py:        except ImportError:
ez_setup/__init__.py:            from easy_install import main
ez_setup/__init__.py:            from setuptools.command.easy_install import main
ez_setup/__init__.py:    import re
ez_setup/__init__.py:    import inspect
iscpy.egg-info/SOURCES.txt:iscpy/iscpy_dns/named_importer_lib.py
iscpy.egg-info/SOURCES.txt:test/named_importer_lib_regtest.py
setup.py:    from setuptools import setup, find_packages
setup.py:except ImportError:
setup.py:    from ez_setup import use_setuptools
setup.py:    from setuptools import setup, find_packages
setup.py:import sys, os
MANIFEST:iscpy/iscpy_dns/named_importer_lib.py

Please fix the issues, and I will do the review,
Comment 2 William Moreno 2015-07-27 13:45:28 EDT
Any update here?

Can I take the review?
Comment 3 William Moreno 2015-08-09 12:59:40 EDT
Hi, do want to continue with this review?
Comment 4 Gwyn Ciesla 2017-05-23 09:44:53 EDT
Doesn't build, please reopen if still interested in this package.

Note You need to log in before you can comment on or make changes to this bug.